document.addEventListener('DOMContentLoaded', function() {
  const transactionCtx = document.getElementById('transactionChart').getContext('2d');
  const holderCtx = document.getElementById('holderChart').getContext('2d');
  const activityCtx = document.getElementById('activityChart').getContext('2d');

  new Chart(transactionCtx, {
    type: 'line',
    data: {
      labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
      datasets: [{
        label: 'Transaction Volume',
        data: [12000, 19000, 3000, 5000, 2000, 30000],
        borderColor: '#14f195',
        fill: false
      }]
    },
    options: {
      responsive: true,
      maintainAspectRatio: false
    }
  });

  new Chart(holderCtx, {
    type: 'bar',
    data: {
      labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun'],
      datasets: [{
        label: 'Token Holders',
        data: [5000, 8000, 12000, 15000, 18000, 20000],
        backgroundColor: '#9945ff'
      }]
    },
    options: {
      responsive: true,
      maintainAspectRatio: false
    }
  });

  new Chart(activityCtx, {
    type: 'pie',
    data: {
      labels: ['Transactions', 'Smart Contracts', 'NFTs'],
      datasets: [{
        data: [300, 50, 150],
        backgroundColor: ['#14f195', '#9945ff', '#ffffff']
      }]
    },
    options: {
      responsive: true,
      maintainAspectRatio: false
    }
  });

  document.querySelector('.connect-wallet').addEventListener('click', function() {
    alert('Wallet connection functionality would be implemented here.');
  });
});